Subject: Re: linuxppc_2_4_devel patch for enable_irq()

From: [email-masked]
Date: Fri, 1 Feb 2002 01:26:51 +0100

>  disable_irq() and enable_irq() do use the depth field to determine when
>  to actually re-enable the irq.  If enable_irq() is called from within
>  the irq handling path then interrupts for that irq may be enabled even
>  though the irq handling path thinks that it has disabled them.
>
>  I encountered the problem while stress testing an ethernet driver
>  error path.

Good catch, I'll see how this can be fixed generically.

Thanks,
Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/